| Home | Libraries | People | FAQ | More

##### url_view::encoded_password

Return the password.

###### Synopsis

    pct_string_view
    encoded_password() const;

###### Description

This function returns the password portion of the userinfo as a percent-encoded string.

###### Example

    assert( url_view( "http://jane%2Ddoe:pass@example.com" ).encoded_password() == "pass" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    userinfo    = user [ ":" [ password ] ]

    user        = *( unreserved / pct-encoded / sub-delims )
    password    = *( unreserved / pct-encoded / sub-delims / ":" )

###### Specification

- 3.2.1. User Information (rfc3986)

###### See Also

`has_password`, `has_userinfo`, `encoded_user`, `encoded_userinfo`, `password`, `user`, `userinfo`.